Package org.springframework.transaction.annotation

# Class ProxyTransactionManagementConfiguration

java.lang.Object
org.springframework.transaction.annotation.AbstractTransactionManagementConfiguration
org.springframework.transaction.annotation.ProxyTransactionManagementConfiguration

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.context.annotation.ImportAware`

@Configuration(proxyBeanMethods=false) @Role(2) @ImportRuntimeHints(org.springframework.transaction.annotation.TransactionRuntimeHints.class) public class ProxyTransactionManagementConfiguration extends AbstractTransactionManagementConfiguration
`@Configuration` class that registers the Spring infrastructure beans necessary to enable proxy-based annotation-driven transaction management.

Since:
  3.1
Author:
  Chris Beams, Sebastien Deleuze
See Also:
  - `EnableTransactionManagement`
  - `TransactionManagementConfigurationSelector`

## Field Summary

### Fields inherited from class org.springframework.transaction.annotation.AbstractTransactionManagementConfiguration

`enableTx, txManager`

## Constructor Summary

Constructors
Constructor
Description
`ProxyTransactionManagementConfiguration()`

## Method Summary

Modifier and Type
Method
Description
`BeanFactoryTransactionAttributeSourceAdvisor`
`transactionAdvisor(TransactionAttributeSource transactionAttributeSource, TransactionInterceptor transactionInterceptor)`
`TransactionInterceptor`
`transactionInterceptor(TransactionAttributeSource transactionAttributeSource)`

### Methods inherited from class org.springframework.transaction.annotation.AbstractTransactionManagementConfiguration

`setImportMetadata, transactionalEventListenerFactory, transactionAttributeSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ProxyTransactionManagementConfiguration

public ProxyTransactionManagementConfiguration()

## Method Details

### transactionAdvisor

@Bean(name="org.springframework.transaction.config.internalTransactionAdvisor") @Role(2) public BeanFactoryTransactionAttributeSourceAdvisor transactionAdvisor(TransactionAttributeSource transactionAttributeSource, TransactionInterceptor transactionInterceptor)

### transactionInterceptor

@Bean @Role(2) public TransactionInterceptor transactionInterceptor(TransactionAttributeSource transactionAttributeSource)